Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.www.mime
Interface MimeParserFactory

All Known Implementing Classes:
  MimeHeadersFactory, MimeParserMessageFactory, MimeParserReplyFactory, MimeParserRequestFactory

public abstract interface MimeParserFactory

This class is used by the MimeParser, to create new MIME message holders. Each MIME parse instances is custmozied wit hits own factory, which it will use to create MIME header holders.

Method Summary
`MimeHeaderHolder` | `createHeaderHolder(MimeParser parser)` Create a new header holder to hold the parser's result.

Method Detail

### createHeaderHolder

    public MimeHeaderHolder createHeaderHolder(MimeParser parser)

  Create a new header holder to hold the parser's result.
  Parameters:
    `parser` - The parser that has something to parse.
  Returns:
    A MimeParserHandler compliant object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD